summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author melikamp2014-01-27 16:12:09 +0100
committer Erik Hanson2014-01-30 06:21:16 +0100
commitede44ed9875b9abb8eae24780380951683dd55c5 (patch)
tree84b7214a41d4a6ad46c135b1110dae5deefa27a4 /desktop
parent5f8f6e76d88d0bc870a6391478912dca36a0f171 (diff)
downloadslackbuilds-ede44ed9875b9abb8eae24780380951683dd55c5.tar.gz
desktop/compton: Added (X compositor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/compton/README5
-rw-r--r--desktop/compton/compton.SlackBuild89
-rw-r--r--desktop/compton/compton.info10
-rw-r--r--desktop/compton/slack-desc19
4 files changed, 123 insertions, 0 deletions
diff --git a/desktop/compton/README b/desktop/compton/README
new file mode 100644
index 0000000000..a7082a7ca0
--- /dev/null
+++ b/desktop/compton/README
@@ -0,0 +1,5 @@
+Compton is a compositor for X, and a fork of xcompmgr-dana.
+
+Out of frustration with the low count of standalone lightweight
+compositors, compton was forked from Dana Jansens' fork of xcompmgr
+and refactored. Bugs were fixed and features were added.
diff --git a/desktop/compton/compton.SlackBuild b/desktop/compton/compton.SlackBuild
new file mode 100644
index 0000000000..1b992ca6cc
--- /dev/null
+++ b/desktop/compton/compton.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for compton
+# Written by melikamp <melikamp@melikamp.net>
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License
+# along with this program (most likely, a file named COPYING). If
+# not, see <http://www.gnu.org/licenses/>.
+
+PRGNAM=compton
+VERSION=${VERSION:-0.1_beta2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-git-v${VERSION}-2013-10-21
+tar xvf $CWD/${PRGNAM}-git-v${VERSION}-2013-10-21.tar.xz
+cd ${PRGNAM}-git-v${VERSION}-2013-10-21
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr/man
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -ar desc.txt dbus-examples compton.sample.conf LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/compton/compton.info b/desktop/compton/compton.info
new file mode 100644
index 0000000000..ec59647f79
--- /dev/null
+++ b/desktop/compton/compton.info
@@ -0,0 +1,10 @@
+PRGNAM="compton"
+VERSION="v0.1_beta2"
+HOMEPAGE="https://github.com/chjj/compton"
+DOWNLOAD="https://github.com/chjj/compton/releases/download/v0.1_beta2/compton-git-v0.1_beta2-2013-10-21.tar.xz"
+MD5SUM="15db3ccec35a4f04cac2f62c44e46457"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libconfig"
+MAINTAINER="melikamp"
+EMAIL="melikamp@melikamp.net"
diff --git a/desktop/compton/slack-desc b/desktop/compton/slack-desc
new file mode 100644
index 0000000000..7b4fb8834a
--- /dev/null
+++ b/desktop/compton/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+compton: compton (X compositor)
+compton:
+compton: Compton is a compositor for X, and a fork of xcompmgr-dana.
+compton:
+compton:
+compton:
+compton:
+compton:
+compton:
+compton:
+compton: